%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/modules

Summary: KRISP database php extension
Summary(ko): php KRISP 확장
Name: php-krisp
Version: 2.1.1
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: mod_krisp-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php libkrisp libkrisp-data
BuildRequires: php-devel libkrisp-devel

%description
KRISP database php extension

%prep
%setup -q -n mod_krisp-%{version}

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/krisp.so %{buildroot}%{_extdir}/krisp.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli}
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/krisp.ini <<EOF
extension = krisp.so
EOF

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/krisp.so
%config(noreplace) %{_sysconfdir}/php.d/krisp.ini

%changelog
* Mon Feb 27 2012 JoungKyun.Kim <http://oops.org> 1:2.1.1-1%{?dist}
- update 2.1.1

* Mon Oct 11 2010 JoungKyun.Kim <http://oops.org> 1:2.1.0-1%{?dist}
- first packaged

